Rated 5 out of 5 stars

Most of Firefox add-ons are not updated to maxversion, even if they are compatible. For instance, all the add-ons I used with Firefox 3.0 work with Firefox 3.5. Thanks to this add-on, I got back all of them with a single click!

This review is for a previous version of the add-on (2.0.2).